Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.state
Class HierarchicalStateSupport

    java.lang.Object
      org.jboss.jms.client.state.HierarchicalStateSupport

All Implemented Interfaces:
  HierarchicalState

Direct Known Subclasses:
  BrowserState, ConnectionState, ConsumerState, ProducerState, SessionState

public abstract class HierarchicalStateSupport
extends java.lang.Object
implements HierarchicalState

Base implementation of HierarchicalState. State is created and maintained by the StateCreationAspect. The state is placed in the meta data for the invocation, so that it is available in any of the interceptors/aspects, this enables each interceptor/aspect to access the state for it's delegate without having to add multiple get/set methods on the delegate API.

Version:
  `$Revision: 1.2 $` $Id: HierarchicalStateSupport.java,v 1.2 2006/03/10 19:46:38 timfox Exp $
Author:
  Tim Fox

Field Summary
`protected java.util.Set` | `children`
`protected DelegateSupport` | `delegate`
`protected HierarchicalState` | `parent`

Constructor Summary
`HierarchicalStateSupport(HierarchicalState parent, java.lang.Object delegate)`

Method Summary
`java.util.Set` | `getChildren()`
`DelegateSupport` | `getDelegate()`
`HierarchicalState` | `getParent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.jms.client.state.HierarchicalState
`getVersionToUse`

Field Detail

### children

    protected java.util.Set children

### parent

    protected HierarchicalState parent

### delegate

    protected DelegateSupport delegate

Constructor Detail

### HierarchicalStateSupport

    public HierarchicalStateSupport(HierarchicalState parent,
                                    java.lang.Object delegate)

Method Detail

### getChildren

    public java.util.Set getChildren()

  Specified by:
    `getChildren` in interface `HierarchicalState`

### getParent

    public HierarchicalState getParent()

  Specified by:
    `getParent` in interface `HierarchicalState`

### getDelegate

    public DelegateSupport getDelegate()

  Specified by:
    `getDelegate` in interface `HierarchicalState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.